use log::error;
use nautilus_common::logger::setup_logger;
use nautilus_flight::run;

fn main() {
    setup_logger(env!("CARGO_PKG_NAME")).expect("Failed to setup logger");
    match run() {
        Ok(_) => {}
        Err(err) => {
            error!(
                "An unhandled error occurred: {}\n\n{}",
                err,
                err.backtrace()
            );
        }
    }
}
